# sbx-service-logger
Send your errors and additional info to logger service.  
Send type, requestId, serviceName, serviceId and error trace or your message

## Usage
### To send all unhandled errors
```js
const {ServiceBroker, Middlewares} = require('moleculer')
const {middleware} = require('sbx-service-logger')

Middlewares.Logger = middleware

const broker = new ServiceBroker({
    middlewares: [
        'Logger',
    ],
})
```

### If you want to send some additional info you need to use logger
```js
const {ServiceBroker, Middlewares} = require('moleculer')
const {middleware, logger} = require('sbx-service-logger')

Middlewares.Logger = middleware

const broker = new ServiceBroker({
    middlewares: [
        'Logger',
    ],
    logger
})
```
```js
this.broker.getLogger().info('some info')
```